Bug 11248 - Problems with translated list email sent
Summary: Problems with translated list email sent
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Lists (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 11944 13596
  Show dependency treegraph
 
Reported: 2013-11-14 12:58 UTC by Jonathan Druart
Modified: 2016-06-21 21:37 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 11248: Encoding issue on sending a list (OPAC) (2.11 KB, patch)
2013-11-14 13:01 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 11248: Encoding issue on sending a list (INTRANET) (10.06 KB, patch)
2013-11-14 13:01 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 11248: Encoding issue on sending a list (OPAC) (2.10 KB, patch)
2013-11-14 13:06 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 11248: Follow up - Fix template for translated list emails in staff (2.00 KB, patch)
2013-11-17 17:43 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED OFF] Bug 11248: Encoding issue on sending a list (INTRANET) (10.27 KB, patch)
2013-11-17 19:34 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED OFF] Bug 11248: Encoding issue on sending a list (OPAC) (2.21 KB, patch)
2013-11-17 19:34 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 11248: Follow up - Fix template for translated list emails in staff (2.75 KB, patch)
2013-11-17 19:34 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 11248: Follow up - Fix template for translated list emails in staff (2.71 KB, patch)
2013-11-17 19:39 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 11248: Follow up - Fix template for translated list emails in staff (1.68 KB, patch)
2013-12-09 18:30 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED OFF] Bug 11248: Follow up - Fix template for translated list emails in staff (1.74 KB, patch)
2013-12-10 10:06 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 11248: Encoding issue on sending a list (INTRANET) (10.31 KB, patch)
2014-01-10 15:13 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11248: Encoding issue on sending a list (OPAC) (2.25 KB, patch)
2014-01-10 15:13 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11248: Follow up - Fix template for translated list emails in staff (1.78 KB, patch)
2014-01-10 15:14 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2013-11-14 12:58:10 UTC
Same encoding issue as bug 10605.
Comment 1 Jonathan Druart 2013-11-14 13:01:26 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2013-11-14 13:01:31 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2013-11-14 13:06:15 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2013-11-17 17:21:46 UTC
This is a bit confusing. without the patch the translated Email has 'no subject' and no content, but I thought that had been fixed a while ago?

With the patch applied, the line breaks are missing:

Guten Tag, dies ist Ihre Liste TEST, die Sie sich aus unserem Online-Katalog zugeschickt haben. Bitte beachten Sie, dass es sich bei der angehängten Datei um Daten im bibliographischen MARC-Format handelt, dass Sie in eine persönliche Literaturverwaltungssoftware wie EndNote, Reference Manager oder ProCite importieren können. 
---------------------------------------------  Der Tagesspiegel :  Weitere Verfasser:  Reger, Erik   Verlag: Verl. Der Tagesspiegel, 57 Fußnoten: Begr.: Erik Reger, Walther Karsch, Edwin Redslob; Mitbegr.: Peter de Mendelssohn; Hrsg.: Hellmuth Karasek, Hermann Rudolph; 1949 - 1984: Franz Karl Maier, Heik Afheldt; ab 2004,Aug.: Giovanni di Lorenzo; verantw. Red. bis 2004,Juli: Giovanni di Lorenzo; Verleger ab ca. 1993: Dieter von Holtzbrinck. Amerikan. Lizenz: Nr. 16; ZKZ: 6622; Relaunch: 1994, 2.Sept. u. 1999, 23.Mai. Exemplar(e) :  --------------------------------------------- Die Weltwoche    Verlag: Weltwoche-Verl. | Die Weltwoche c/o Jean Frey AG,, 57 Exemplar(e) :  --------------------------------------------- Südkurier :    Verlag: Südkurier, 57 Fußnoten: VKZ: E 6576. Exemplar(e) :  ---------------------------------------------  

The broken umlauts in that example go away, when I tell Thunderbird that the encoding is UTF-8 - is there a way to make it autodetect that correctly?

(That's for staff).
Comment 5 Katrin Fischer 2013-11-17 17:43:00 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2013-11-17 19:34:17 UTC Comment hidden (obsolete)
Comment 7 Katrin Fischer 2013-11-17 19:34:28 UTC Comment hidden (obsolete)
Comment 8 Katrin Fischer 2013-11-17 19:34:40 UTC Comment hidden (obsolete)
Comment 9 Katrin Fischer 2013-11-17 19:35:37 UTC
Hi Jonathan, could you take a look at my follow up? 

The list emails from staff were missing the template changes needed to make them survive the translation scripts unharmed :)
Comment 10 Katrin Fischer 2013-11-17 19:39:57 UTC Comment hidden (obsolete)
Comment 11 Jonathan Druart 2013-11-18 14:02:08 UTC
(In reply to Katrin Fischer from comment #9)
> Hi Jonathan, could you take a look at my follow up? 
> 
> The list emails from staff were missing the template changes needed to make
> them survive the translation scripts unharmed :)

I agree with the call to the url filter. But I am not sure the others changes is needed:

-                [% IF BIBLIO_RESULT.size %]
-                , [% BIBLIO_RESULT.size %]
-                [% END %]

Why do you remove these lines?

-                In online catalog: [% OPACBaseURL %]/cgi-bin/koha/opac-detail.pl?biblionumber=[% BIBLIO_RESULT.biblionumber %]
+                In online catalog: http://[% OPACBaseURL %]/cgi-bin/koha/opac-detail.pl?biblionumber=[% BIBLIO_RESULT.biblionumber %]

Why do you add the http before the OPACBaseURL? It does not exist in others places?
Comment 12 Katrin Fischer 2013-11-18 14:10:53 UTC
Hi Jonathan,

2 good questions - and I should have explained the changes better.

I removed the [% BIBLIO_RESULT.size %] because the information it should display is not super important and it won't display currently. For TT size means to count the number of elements (I noticed that it was always 57 or something like that in my tests) and not the content of the database field. This is not an important, please undo it if you want, or I can do it, but not before much later tonight.

I added the http:// because without the link was not working and appeared incomplete. Actually you are right and I should have looked into it more to see why it does not happen in the OPAC, there is also a bug for it (bug 5010). But why does it not happen on OPAC?
Comment 13 Katrin Fischer 2013-12-09 18:23:05 UTC
I think I found the difference that is causing the problems with the URL, but I will fix those on a separate bug. I will remove both changes Jonathan thought were suspicious (and he was right of course :) from my follow-up).
Comment 14 Katrin Fischer 2013-12-09 18:30:51 UTC Comment hidden (obsolete)
Comment 15 Katrin Fischer 2013-12-09 18:37:47 UTC
I messed up a bit here, hope the redone follow-up makes more sense. Could you take a look Jonathan and switch to Signed off if it's ok? If the follow-up gives problems just obsolete it.
Comment 16 Jonathan Druart 2013-12-10 10:06:01 UTC Comment hidden (obsolete)
Comment 17 Jonathan Druart 2013-12-10 10:06:38 UTC
Katrin, Thank you the followup. It looks good now :)
Comment 18 Jonathan Druart 2013-12-10 10:06:54 UTC
for*
Comment 19 Jonathan Druart 2013-12-24 11:04:52 UTC
Note that someone other than Katrin and me is needed to QA these patches.
Comment 20 Kyle M Hall 2014-01-10 15:13:45 UTC
Created attachment 24140 [details] [review]
Bug 11248: Encoding issue on sending a list (INTRANET)

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Sending an intranet list from translated templates requires
a new list template for the intranet. I have added the needed
changes in a follow-up.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 21 Kyle M Hall 2014-01-10 15:13:54 UTC
Created attachment 24141 [details] [review]
Bug 11248: Encoding issue on sending a list (OPAC)

See bug 10605 for more details.

Test plan:
- send a list via email with the english version.
- translate templates and retry with another language.

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Works nicely. Links to the OPAC are correct.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 22 Kyle M Hall 2014-01-10 15:14:26 UTC
Created attachment 24142 [details] [review]
Bug 11248: Follow up - Fix template for translated list emails in staff

- Fixes some capitalization problems
- Adds an URL filter

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 23 Jonathan Druart 2014-04-16 08:21:35 UTC
This is a major.
The received email is empty and the subject is "no subject" on master.
Comment 24 Katrin Fischer 2014-04-16 08:22:40 UTC
I agree.
Comment 25 Galen Charlton 2014-04-20 16:19:45 UTC
Pushed to master.  Thanks, Jonathan!
Comment 26 Fridolin SOMERS 2014-08-13 08:19:45 UTC
Pushed to 3.14.x, will be in 3.14.10
Comment 27 Kyle M Hall 2014-08-13 18:36:56 UTC
Picked for 3.12.15!